Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LEDControlInterfaces Class Reference

Interfaces of the LEDControl Module. More...

`#include <LEDControl.h>`

Inheritance diagram for LEDControlInterfaces:

[legend]
Collaboration diagram for LEDControlInterfaces:

[legend]
List of all members.

## Public Member Functions
| LEDControlInterfaces (const unsigned long &frameNumber, const LEDRequest &ledRequest, const int &wLanStatus, LEDValue &ledValue)
| Constructor.
## Protected Attributes
const unsigned long & | frameNumber
| A reference to the frame number.
const LEDRequest & | ledRequest
| A request how to set the leds from the behavior.
const int & | wLanStatus
| The status of the WLan connection to be displayed with the green leds.
LEDValue & | ledValue
| The value of the led to be filled.

## Detailed Description

Interfaces of the LEDControl Module.

Definition at line 20 of file LEDControl.h.

## Constructor & Destructor Documentation

LEDControlInterfaces::LEDControlInterfaces | ( | const unsigned long & | frameNumber,
|  | const LEDRequest & | ledRequest,
|  | const int & | wLanStatus,
|  | LEDValue & | ledValue
| ) | `[inline]`

  | Constructor. Parameters:
  frameNumber | The number of the frame
  ledRequest | A request how to set the leds from the behavior
  wLanStatus | The status of the WLan connection 1 to be displayed with the green leds
  ledValue | The value of the led to be filled
Definition at line 29 of file LEDControl.h.

## Member Data Documentation

const unsigned long& LEDControlInterfaces::frameNumber`[protected]`

| A reference to the frame number. Definition at line 42 of file LEDControl.h.

const LEDRequest& LEDControlInterfaces::ledRequest`[protected]`

| A request how to set the leds from the behavior. Definition at line 45 of file LEDControl.h.

const int& LEDControlInterfaces::wLanStatus`[protected]`

| The status of the WLan connection to be displayed with the green leds. Definition at line 48 of file LEDControl.h.

LEDValue& LEDControlInterfaces::ledValue`[protected]`

| The value of the led to be filled. Definition at line 51 of file LEDControl.h.

The documentation for this class was generated from the following file:

- Modules/LEDControl/LEDControl.h